"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license.
// See LICENSE in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoggingUtilities = void 0;
const node_core_library_1 = require("@rushstack/node-core-library");
class LoggingUtilities {
    constructor(terminal) {
        this.fileError = (filePath, line, column, errorCode, message) => {
            this._terminal.writeErrorLine(`${filePath}(${line},${column}): error ${errorCode}: ${message}`);
        };
        this.fileWarning = (filePath, line, column, errorCode, message) => {
            this._terminal.writeWarningLine(`${filePath}(${line},${column}): warning ${errorCode}: ${message}`);
        };
        this._terminal = new node_core_library_1.Terminal(terminal);
    }
    getDefaultRushStackCompilerBaseOptions() {
        return {
            fileError: this.fileError,
            fileWarning: this.fileWarning
        };
    }
}
exports.LoggingUtilities = LoggingUtilities;
//# sourceMappingURL=LoggingUtilities.js.map