import { StandardBuildFolders } from './StandardBuildFolders';
import { ITerminalProvider, Terminal } from '@rushstack/node-core-library';
/**
 * @public
 */
export declare type WriteFileIssueFunction = (filePath: string, line: number, column: number, errorCode: string, message: string) => void;
/**
 * @public
 */
export interface IRushStackCompilerBaseOptions {
    fileError: WriteFileIssueFunction;
    fileWarning: WriteFileIssueFunction;
}
/**
 * @beta
 */
export declare abstract class RushStackCompilerBase<TOptions extends IRushStackCompilerBaseOptions = IRushStackCompilerBaseOptions> {
    protected _standardBuildFolders: StandardBuildFolders;
    protected _terminal: Terminal;
    protected _taskOptions: TOptions;
    protected _fileError: WriteFileIssueFunction;
    protected _fileWarning: WriteFileIssueFunction;
    constructor(taskOptions: TOptions, rootPath: string, terminalProvider: ITerminalProvider);
}
//# sourceMappingURL=RushStackCompilerBase.d.ts.map