import { ITerminalProvider } from '@rushstack/node-core-library';
import { RushStackCompilerBase, IRushStackCompilerBaseOptions } from './RushStackCompilerBase';
/**
 * @beta
 */
export interface ITypescriptCompilerOptions extends IRushStackCompilerBaseOptions {
    /**
     * Option to pass custom arguments to the tsc command.
     */
    customArgs?: string[];
}
/**
 * @beta
 */
export declare class TypescriptCompiler extends RushStackCompilerBase<ITypescriptCompilerOptions> {
    private _cmdRunner;
    constructor(rootPath: string, terminalProvider: ITerminalProvider);
    constructor(taskOptions: ITypescriptCompilerOptions, rootPath: string, terminalProvider: ITerminalProvider);
    invoke(): Promise<void>;
}
//# sourceMappingURL=TypescriptCompiler.d.ts.map